<?php



class TbldocumentMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbldocumentMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbldocumentPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbldocumentPeer::TABLE_NAME);
		$tMap->setPhpName('Tbldocument');
		$tMap->setClassname('Tbldocument');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('DOC_ID', 'DocId', 'INTEGER', true, null);

		$tMap->addColumn('DOC_CATEGORY', 'DocCategory', 'INTEGER', false, null);

		$tMap->addColumn('DOC_NAME', 'DocName', 'VARCHAR', false, 255);

		$tMap->addColumn('DOC_DESC', 'DocDesc', 'LONGVARCHAR', false, null);

		$tMap->addColumn('DOC_SOURCE', 'DocSource', 'VARCHAR', true, 255);

		$tMap->addColumn('DOC_KEYWORD', 'DocKeyword', 'VARCHAR', false, 255);

		$tMap->addColumn('DOC_TYPE', 'DocType', 'VARCHAR', true, 3);

		$tMap->addColumn('DOC_FILENAME', 'DocFilename', 'VARCHAR', true, 255);

		$tMap->addForeignKey('DOC_USER', 'DocUser', 'INTEGER', 'tbluser', 'US_ID', false, null);

		$tMap->addColumn('DOC_DATE', 'DocDate', 'TIMESTAMP', false, null);

		$tMap->addColumn('DOC_HIT', 'DocHit', 'INTEGER', true, null);

		$tMap->addColumn('DOC_RATING', 'DocRating', 'INTEGER', true, null);

		$tMap->addColumn('DOC_STATUS', 'DocStatus', 'INTEGER', false, null);

		$tMap->addColumn('DOC_WIDTH', 'DocWidth', 'INTEGER', false, null);

		$tMap->addColumn('DOC_HEIGHT', 'DocHeight', 'INTEGER', false, null);

		$tMap->addColumn('DOC_VIEW', 'DocView', 'INTEGER', true, null);

		$tMap->addColumn('DOC_MANAGER', 'DocManager', 'INTEGER', false, null);

		$tMap->addColumn('DOC_REPORT', 'DocReport', 'INTEGER', false, null);

		$tMap->addColumn('DOC_FILESIZE', 'DocFilesize', 'INTEGER', false, null);

		$tMap->addColumn('DOC_THUMBNAIL', 'DocThumbnail', 'TINYINT', false, null);

	} 
} 